import request from '@/utils/request'

// 查询消防设施更换记录列表
export function listReplacement(query) {
  return request({
    url: '/fire_facility_replacement/replacement/list',
    method: 'get',
    params: query
  })
}

// 查询消防设施更换记录详细
export function getReplacement(id) {
  return request({
    url: '/fire_facility_replacement/replacement/' + id,
    method: 'get'
  })
}

// 新增消防设施更换记录
export function addReplacement(data) {
  return request({
    url: '/fire_facility_replacement/replacement',
    method: 'post',
    data: data
  })
}

// 修改消防设施更换记录
export function updateReplacement(data) {
  return request({
    url: '/fire_facility_replacement/replacement',
    method: 'put',
    data: data
  })
}

// 删除消防设施更换记录
export function delReplacement(id) {
  return request({
    url: '/fire_facility_replacement/replacement/' + id,
    method: 'delete'
  })
}
